Bug 1363670 (CVE-2013-7458) - CVE-2013-7458 redis: world-readable ~/.rediscli_history
Summary: CVE-2013-7458 redis: world-readable ~/.rediscli_history
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2013-7458
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1363671 1363672
Blocks: 1363674
TreeView+ depends on / blocked
 
Reported: 2016-08-03 10:37 UTC by Martin Prpič
Modified: 2019-09-29 13:54 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A permissions flaw was found in Redis, where redis-cli stores its history in ~/.rediscli_history. The file is created with permissions 0644, which could lead to the exposure of sensitive data for users with world-readable home directories.
Clone Of:
Environment:
Last Closed: 2016-08-12 04:47:05 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-08-03 10:37:50 UTC
redis-cli stores its history in ~/.rediscli_history, this file is created with permissions 0644, which could lead to exposure of sensitive data if for users with world readable home directories.

CVE request:

http://seclists.org/oss-sec/2016/q3/180

Upstream issue:

https://github.com/antirez/redis/issues/3284

Comment 1 Martin Prpič 2016-08-03 10:38:29 UTC
Created redis tracking bugs for this issue:

Affects: fedora-all [bug 1363671]
Affects: epel-all [bug 1363672]

Comment 2 Summer Long 2016-08-12 04:26:49 UTC
Fixed upstream in Redis 3.2.3     Released Tue Aug 02 10:55:24 CEST 2016
http://download.redis.io/redis-stable/00-RELEASENOTES

Redis-cli created the history file with insecure permissions, allowing reading from the file. This was actually a bug in linenoise which is now fixed. The applied fix is from Chris Lamb.

Comment 5 Andrej Nemec 2018-05-09 15:37:27 UTC
Statement:

Red Hat Product Security has rated this issue as having security impact of Low.
Further, home directories are not world readable on RHEL distributions (by default). This issue is not currently planned to be addressed in future
updates. For additional information, refer to the Issue Severity
Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.